; show all the x values on the interval

(define (show-x1 a b n)
  (define (iter h count)
    (if (> count n)
        (newline)
        (begin 
          (display (+ a (* h count)))
          (display " ")
          (iter h (+ count 1)))))
  (iter (/ (- b a) n) 0))

; use let for clarity

(define (show-x2 a b n)
  (let ((h (/ (- b a) n)))
    (define (iter count)
      (if (> count n)
          (newline)
          (begin 
            (display (+ a (* h count)))
            (display " ")
            (iter (+ count 1)))))
    (iter 0)))

(show-x1 0 1 10)
(show-x2 0 1 10)
